# Patient $report-data

`POST /Patient/$report-data`

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records. 

The other operations are specific to <u>**Verato**</u> and <u>**CMS ACCESS**</u> (<u>**Advancing Chronic Care with Effective, Scalable Solutions**</u>). You must register and be approved to participate in CMS ACCESS. [Learn more about CMS ACCESS](https://www.cms.gov/priorities/innovation/innovation-models/access).

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $report-data

Submit required clinical data and patient-reported outcomes for an aligned patient. This is used to submit data reporting bundles at the start of care (baseline), quarterly, and at the end of the 12-month period of care.

This returns a submission ID so you can check the status of this operation with `$submission-status`.

## Request body

Input parameters for the CMS ACCESS $report-data operation, which submits data reporting information for the ACCESS model. The request body is a FHIR `Parameters` resource; each field below is a named entry in the `parameter` array (see the request example for the exact wire format).

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `participantID` | object | Yes | Identifier of the participating entity submitting the data. |
| `participantID.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `participantID.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `participantID.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `participantID.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `participantID.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `participantID.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `participantID.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `payerID` | object | Yes | Identifier of the payer associated with the report. |
| `payerID.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `payerID.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `payerID.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `payerID.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `payerID.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `payerID.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `payerID.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `track` | object | Yes | The CMS ACCESS model track the report applies to. |
| `track.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `track.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `track.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `track.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `reportType` | object | Yes | The type of data being reported. |
| `reportType.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `reportType.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reportType.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reportType.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dataBundle` | Array of object | Yes | One or more bundles containing the reportable data. |
| `dataBundle[].resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `dataBundle[].type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Possible values: document, message, transaction, transaction-response, batch, batch-response, history, searchset, collection |
| `dataBundle[].entry` | Array of object | No | An entry in the bundle containing a FHIR resource |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/$report-data' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/fhir+json' \
--data '{
  "resourceType": "Parameters",
  "id": "CmsAccessReportDataInputExample",
  "parameter": [
    {
      "name": "participantID",
      "valueIdentifier": {
        "system": "https://dsacms.github.io/cmmi-access-model/participant-id",
        "value": "ACCES12345"
      }
    },
    {
      "name": "payerID",
      "valueIdentifier": {
        "type": {
          "coding": [
            {
              "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBIdentifierType",
              "code": "payerid",
              "display": "Payer ID"
            }
          ]
        },
        "system": "urn:oid:2.16.840.1.113883.3.221.5",
        "value": "12345"
      }
    },
    {
      "name": "track",
      "valueCodeableConcept": {
        "coding": [
          {
            "system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSTrackCS",
            "code": "CKM",
            "display": "Cardio-Kidney-Metabolic track"
          }
        ]
      }
    },
    {
      "name": "reportType",
      "valueCodeableConcept": {
        "coding": [
          {
            "system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSReportTypeCS",
            "code": "baseline",
            "display": "Baseline Data Report"
          }
        ]
      }
    },
    {
      "name": "dataBundle",
      "resource": {
        "resourceType": "Bundle",
        "id": "CKMReportDataBundleExample",
        "identifier": {
          "system": "http://example.org/data-bundle-id",
          "value": "bundle-ckm-001"
        },
        "type": "document",
        "timestamp": "2026-01-26T12:00:00Z",
        "entry": [
          {
            "fullUrl": "http://example.org/Composition/CKMReportDataCompositionExample",
            "resource": {
              "resourceType": "Composition",
              "id": "CKMReportDataCompositionExample",
              "status": "final",
              "type": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "74465-6",
                    "display": "Questionnaire response Document"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "date": "2026-01-26T12:00:00Z",
              "author": [
                {
                  "reference": "Practitioner/PractitionerExample"
                }
              ],
              "title": "ACCESS CKM Track Data Report",
              "custodian": {
                "reference": "Organization/OrganizationExample"
              },
              "section": [
                {
                  "title": "Data reporting for CKM track",
                  "code": {
                    "coding": [
                      {
                        "system": "https://dsacms.github.io/cmmi-access-model/CodeSystem/ACCESSTrackCS",
                        "code": "CKM"
                      }
                    ]
                  },
                  "section": [
                    {
                      "title": "Blood Pressure",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "85354-9"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/BloodPressureExample"
                        },
                        {
                          "reference": "Observation/BloodPressureExample2"
                        },
                        {
                          "reference": "Observation/BloodPressureExample3"
                        }
                      ]
                    },
                    {
                      "title": "Weight",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "29463-7"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/BodyWeightExample"
                        }
                      ]
                    },
                    {
                      "title": "BMI",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "39156-5"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/BMIExample"
                        }
                      ]
                    },
                    {
                      "title": "Waist Circumference",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "8280-0"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/WaistCircumferenceExample"
                        }
                      ]
                    },
                    {
                      "title": "HbA1c",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "4548-4"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/HbA1cExample"
                        }
                      ]
                    },
                    {
                      "title": "eGFR",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "98979-8"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/eGFRExample"
                        }
                      ]
                    },
                    {
                      "title": "uACR",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "14959-1"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/uACRExample"
                        }
                      ]
                    },
                    {
                      "title": "Lipids",
                      "code": {
                        "coding": [
                          {
                            "system": "http://loinc.org",
                            "code": "18262-6"
                          }
                        ]
                      },
                      "entry": [
                        {
                          "reference": "Observation/LDLCholesterolExample"
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          },
          {
            "fullUrl": "http://example.org/Patient/PatientExample",
            "resource": {
              "resourceType": "Patient",
              "id": "PatientExample",
              "identifier": [
                {
                  "type": {
                    "coding": [
                      {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                        "code": "MC"
                      }
                    ]
                  },
                  "system": "http://terminology.hl7.org/NamingSystem/cmsMBI",
                  "value": "1EG4TE5MK73"
                }
              ],
              "name": [
                {
                  "family": "Doe",
                  "given": [
                    "John"
                  ]
                }
              ],
              "gender": "male",
              "birthDate": "1950-01-01"
            }
          },
          {
            "fullUrl": "http://example.org/Practitioner/PractitionerExample",
            "resource": {
              "resourceType": "Practitioner",
              "id": "PractitionerExample",
              "identifier": [
                {
                  "system": "http://hl7.org/fhir/sid/us-npi",
                  "value": "1234567893"
                }
              ],
              "name": [
                {
                  "family": "Smith",
                  "given": [
                    "Jane"
                  ]
                }
              ]
            }
          },
          {
            "fullUrl": "http://example.org/Organization/OrganizationExample",
            "resource": {
              "resourceType": "Organization",
              "id": "OrganizationExample",
              "identifier": [
                {
                  "system": "https://dsacms.github.io/cmmi-access-model/participant-id",
                  "value": "ACCES12345"
                }
              ],
              "active": true,
              "name": "Example Healthcare Organization"
            }
          },
          {
            "fullUrl": "http://example.org/Observation/BloodPressureExample",
            "resource": {
              "resourceType": "Observation",
              "id": "BloodPressureExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "vital-signs",
                      "display": "Vital Signs"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "85354-9",
                    "display": "Blood pressure panel with all children optional"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "component": [
                {
                  "code": {
                    "coding": [
                      {
                        "system": "http://loinc.org",
                        "code": "8480-6",
                        "display": "Systolic blood pressure"
                      }
                    ]
                  },
                  "valueQuantity": {
                    "value": 138,
                    "unit": "mm[Hg]",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                  }
                },
                {
                  "code": {
                    "coding": [
                      {
                        "system": "http://loinc.org",
                        "code": "8462-4",
                        "display": "Diastolic blood pressure"
                      }
                    ]
                  },
                  "valueQuantity": {
                    "value": 88,
                    "unit": "mm[Hg]",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                  }
                }
              ]
            }
          },
          {
            "fullUrl": "http://example.org/Observation/BloodPressureExample2",
            "resource": {
              "resourceType": "Observation",
              "id": "BloodPressureExample2",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "vital-signs",
                      "display": "Vital Signs"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "85354-9",
                    "display": "Blood pressure panel with all children optional"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-22T10:30:00Z",
              "component": [
                {
                  "code": {
                    "coding": [
                      {
                        "system": "http://loinc.org",
                        "code": "8480-6",
                        "display": "Systolic blood pressure"
                      }
                    ]
                  },
                  "valueQuantity": {
                    "value": 132,
                    "unit": "mm[Hg]",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                  }
                },
                {
                  "code": {
                    "coding": [
                      {
                        "system": "http://loinc.org",
                        "code": "8462-4",
                        "display": "Diastolic blood pressure"
                      }
                    ]
                  },
                  "valueQuantity": {
                    "value": 84,
                    "unit": "mm[Hg]",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                  }
                }
              ]
            }
          },
          {
            "fullUrl": "http://example.org/Observation/BloodPressureExample3",
            "resource": {
              "resourceType": "Observation",
              "id": "BloodPressureExample3",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "vital-signs",
                      "display": "Vital Signs"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "85354-9",
                    "display": "Blood pressure panel with all children optional"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-02-05T10:30:00Z",
              "component": [
                {
                  "code": {
                    "coding": [
                      {
                        "system": "http://loinc.org",
                        "code": "8480-6",
                        "display": "Systolic blood pressure"
                      }
                    ]
                  },
                  "valueQuantity": {
                    "value": 140,
                    "unit": "mm[Hg]",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                  }
                },
                {
                  "code": {
                    "coding": [
                      {
                        "system": "http://loinc.org",
                        "code": "8462-4",
                        "display": "Diastolic blood pressure"
                      }
                    ]
                  },
                  "valueQuantity": {
                    "value": 90,
                    "unit": "mm[Hg]",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                  }
                }
              ]
            }
          },
          {
            "fullUrl": "http://example.org/Observation/BodyWeightExample",
            "resource": {
              "resourceType": "Observation",
              "id": "BodyWeightExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "vital-signs",
                      "display": "Vital Signs"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "29463-7",
                    "display": "Body weight"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 85,
                "unit": "kg",
                "system": "http://unitsofmeasure.org",
                "code": "kg"
              }
            }
          },
          {
            "fullUrl": "http://example.org/Observation/BMIExample",
            "resource": {
              "resourceType": "Observation",
              "id": "BMIExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "vital-signs",
                      "display": "Vital Signs"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "39156-5",
                    "display": "Body mass index (BMI) [Ratio]"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 27.5,
                "unit": "kg/m2",
                "system": "http://unitsofmeasure.org",
                "code": "kg/m2"
              }
            }
          },
          {
            "fullUrl": "http://example.org/Observation/WaistCircumferenceExample",
            "resource": {
              "resourceType": "Observation",
              "id": "WaistCircumferenceExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "vital-signs",
                      "display": "Vital Signs"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "8280-0",
                    "display": "Waist Circumference at umbilicus by Tape measure"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 95,
                "unit": "cm",
                "system": "http://unitsofmeasure.org",
                "code": "cm"
              }
            }
          },
          {
            "fullUrl": "http://example.org/Observation/HbA1cExample",
            "resource": {
              "resourceType": "Observation",
              "id": "HbA1cExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "laboratory",
                      "display": "Laboratory"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "4548-4",
                    "display": "Hemoglobin A1c/Hemoglobin.total in Blood"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 6.5,
                "unit": "%",
                "system": "http://unitsofmeasure.org",
                "code": "%"
              }
            }
          },
          {
            "fullUrl": "http://example.org/Observation/eGFRExample",
            "resource": {
              "resourceType": "Observation",
              "id": "eGFRExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "laboratory",
                      "display": "Laboratory"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "98979-8",
                    "display": "Glomerular filtration rate [Volume Rate/Area] in Serum, Plasma or Blood by Creatinine-based formula (CKD-EPI 2021)/1.73 sq M"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 75,
                "unit": "mL/min/1.73_m2",
                "system": "http://unitsofmeasure.org",
                "code": "mL/min/{1.73_m2}"
              }
            }
          },
          {
            "fullUrl": "http://example.org/Observation/uACRExample",
            "resource": {
              "resourceType": "Observation",
              "id": "uACRExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "laboratory",
                      "display": "Laboratory"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "14959-1",
                    "display": "Microalbumin/Creatinine [Mass Ratio] in Urine"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 45,
                "unit": "mg/g",
                "system": "http://unitsofmeasure.org",
                "code": "mg/g"
              }
            }
          },
          {
            "fullUrl": "http://example.org/Observation/LDLCholesterolExample",
            "resource": {
              "resourceType": "Observation",
              "id": "LDLCholesterolExample",
              "status": "final",
              "category": [
                {
                  "coding": [
                    {
                      "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                      "code": "laboratory",
                      "display": "Laboratory"
                    }
                  ]
                }
              ],
              "code": {
                "coding": [
                  {
                    "system": "http://loinc.org",
                    "code": "18262-6",
                    "display": "Cholesterol in LDL [Mass/volume] in Serum or Plasma by Direct assay"
                  }
                ]
              },
              "subject": {
                "reference": "Patient/PatientExample"
              },
              "effectiveDateTime": "2026-01-15T10:30:00Z",
              "valueQuantity": {
                "value": 140,
                "unit": "mg/dL",
                "system": "http://unitsofmeasure.org",
                "code": "mg/dL"
              }
            }
          }
        ]
      }
    }
  ],
  "Meta": {
    "Logs": [
      {
        "ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
        "AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
      }
    ],
    "Test": true,
    "EventDateTime": "2026-11-20T22:18:53.621Z",
    "Source": {
      "ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
      "Name": "Redox Dev Tools"
    },
    "Destinations": [
      {
        "ID": "af394f14-b34a-464f-8d24-895f370af4c9",
        "Name": "Redox EMR"
      }
    ],
    "DataModel": "FHIR.Patient",
    "EventType": "$report-data"
  }
}'
```

## Responses

### 202

The request was accepted for asynchronous processing. Poll the resource identified by the Content-Location header for the terminal result.

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
